{
  "schema_version": "1.4.0",
  "id": "GHSA-8375-gg7c-7cc8",
  "modified": "2022-05-01T18:14:42Z",
  "published": "2022-05-01T18:14:42Z",
  "aliases": [
    "CVE-2007-3527"
  ],
  "details": "Integer overflow in Firebird 2.0.0 allows remote authenticated users to cause a denial of service (CPU consumption) via certain database operations with multi-byte character sets that trigger an attempt to use the value 65536 for a 16-bit integer, which is treated as 0 and causes an infinite loop on zero-length data.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-3527"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/43782"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29501"
    },
    {
      "type": "WEB",
      "url": "http://tracker.firebirdsql.org/browse/CORE-1063"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1529"
    },
    {
      "type": "WEB",
      "url": "http://www.firebirdsql.org/rlsnotes/Firebird-2.0.1-ReleaseNotes.pdf"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/28473"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-07-03T18:30:00Z"
  }
}